#ifndef MEVTLOOP_H
#define MEVTLOOP_H

#include "Magic.h"

class MTaskList;
class MParList;

class MEvtLoop
{
private:
    MTaskList *fTasks;
    MParList  *fParlist;

public:
    MEvtLoop();
    ~MEvtLoop();

    void SetTaskList(MTaskList *t);
    void SetParList(MParList *p);

    void Eventloop(Int_t maxcnt=-1);
};

#endif
